package com.gic.haoban.manage.api.dto.qdto.hm;

import java.io.Serializable;
import java.util.List;

/**
 * 
* @ClassName: HmBatchModifyQO
* @Description: 活码批量修改成员
* @author xugh
* @date 2023年5月15日 上午10:25:42
*
 */
public class HmBatchModifyQDTO implements Serializable {

    /**
    * @Fields serialVersionUID : TODO(用一句话描述这个变量表示什么)
    */
    private static final long serialVersionUID = 551906331625487555L;

    private String wxEnterpriseId;
    private String enterpriseId ;
    private String optClerkId;
    private String optName;
    private List<Long> hmIdList;
    // 1新增 2删除
    private int optType;
    private List<String> clerkIdList;
    // 1 继续执行更新 2不废弃活码
    private int updateType;
    
    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public int getUpdateType() {
        return updateType;
    }

    public void setUpdateType(int updateType) {
        this.updateType = updateType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getOptName() {
        return optName;
    }

    public List<Long> getHmIdList() {
        return hmIdList;
    }

    public int getOptType() {
        return optType;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setOptName(String optName) {
        this.optName = optName;
    }

    public void setHmIdList(List<Long> hmIdList) {
        this.hmIdList = hmIdList;
    }

    public void setOptType(int optType) {
        this.optType = optType;
    }

    public List<String> getClerkIdList() {
        return clerkIdList;
    }

    public void setClerkIdList(List<String> clerkIdList) {
        this.clerkIdList = clerkIdList;
    }

    public String getOptClerkId() {
        return optClerkId;
    }

    public void setOptClerkId(String optClerkId) {
        this.optClerkId = optClerkId;
    }
}
